--- title: "View usage plan with stage ID" slug: "apigateway-usageplan-getstageusageplan" updated: 2026-09-17T09:35:41Z published: 2026-09-17T09:35:41Z canonical: "api.ncloud-docs.com/apigateway-usageplan-getstageusageplan" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # View usage plan with stage ID Available in Classic and VPC View the list of usage plans based on whether the specified stage has a usage plan associated with it. ## Request The following describes the request format for the endpoint. The request format is as follows: | Method | URI | | --- | --- | | GET | /api/v1/usage-plans | ### Request headers For information about the headers common to all API Gateway APIs, see [API Gateway request headers](/docs/en/ai-application-service-apigateway#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `offset` | Long | Optional | Starting point of the response data - 0 - 9,223,372,036,854,775,807 - It is used with `limit` to implement pagination | | `limit` | Long | Optional | Maximum number of response data - 1 - 9,223,372,036,854,775,807 - It is used with `offset` to implement pagination | | `stageId` | String | Required | Stage ID - 0 - 10 characters - See [View stage list](/docs/en/apigateway-stage-getstagelist) | | `associated` | Boolean | Optional | Whether the usage plan is associated with a stage - `true` (default) \| `false` - `true`: Vew usage plans associated with a stage applicable for `stageId` - `false`: View usage plans not associated with a stage applicable for `stageId` | ### Request example The following is a sample request. ``` curl --location --request GET 'https://apigateway.apigw.ntruss.com/api/v1/usage-plans?stageId=***5ei7***' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response The following describes the response format. ### Response syntax The response syntax is as follows. ``` { "total" : 0, "usagePlans" : [ { "domainCode" : "domainCode", "usagePlanId" : "usagePlanId", "associatedStagesCount" : 6, "disabled" : true, "permission" : "permission", "usagePlanName" : "usagePlanName", "actionName" : "actionName" } ] } ``` ### Response status codes For information about the HTTP status codes common to all API Gateway APIs, see [API Gateway response status codes](/docs/en/ai-application-service-apigateway#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The following is a sample response. ``` { "usagePlans": [ { "usagePlanId": "***9rpm***", "usagePlanName": "usageplan", "associatedStagesCount": 1, "domainCode": "PUB" } ], "total": 1 } ```